Subject: Re: [Supa] review for draft-ietf-supa-policy-based-management-framework

From: "Liushucheng (Will Liu)" <[email-masked]>
Date: Mon, 3 Jul 2017 14:01:53 +0000

Dear Johannes,

Many thanks for your detailed review. We've updated the draft according to all your comments. Please check some responses below inline with [Will].

-----Original Message-----
From: Johannes Merkle [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2017 5:33 PM
To: [email-masked]
Cc: Liushucheng (Will Liu) <[email-masked]>
Subject: review for draft-ietf-supa-policy-based-management-framework

I have conducted a review of draft-ietf-supa-policy-based-management-framework. These are my comments:

- Generally, the specification is very abstract and not easy to understand. For instance, it is not explained, what exactly the translation of the information models to data models means. Maybe I lack the necessary experience in the field of network management. I was also surprised that the ID does not define any specific syntax or semantic. For an ID / RFC, the specification is quite vague and unspecific, and it reads like an introduction.

[Will] The relationship of IM and DM can be founded in RFC 3444. We've added this reference into the draft. 
The translation of IM to DM (or in some paragraphs we used "map"),can be found at the book Policy-based Network Management: Solutions for the Next Generation by John,  "A model mapping is a translation from one type of model to another type of model. Model mapping changes the representation and/or  level of abstraction used in one model to another representation and/or level of abstraction in another model. The most ommon form of model mapping is from an information model to a data model..." 
The detailed example can be founded at the draft draft-ietf-supa-generic-policy-data-model, which is mapped from draft-ietf-supa-generic-policy-info-model.

- Abstract:
YANG data models to encode policy, which will point to should be YANG data models to encode policies, which point to or YANG data models to encode a policy, which points to

Section 1,

3rd paragraph:
   The GPIM defines concepts and terminology needed by policy management
   independent of the form and content of the policy rule.  The ECA What does "form" exactly mean here. Syntax? Structure? Encoding?
 
[Will] form here refers to the way of expressing content, such as data repository, data definition language, query language, implementation language, and protocol (typically one or more of these).

4th paragraph:
                                                  The GPIM and the EPRIM
   will both be translated into corresponding YANG [RFC6020][RFC6020bis]
   modules that define policy concepts,
I suggest to replace "will" by "can".

                                additional YANG modules may also be
   defined from the GPIM and/or EPRIM to manage specific functions.
I suggest to change "defined" to "derived"

Section 2

General: The following Terms are missing: SUPA, ECA, YANG, EMS, EMS/NMS/Controller, OSS/BSS/Orchestrator

3rd Paragrapgh (GPDM):
  the service(s) to be managed using policy.
should be
  the service(s) to be managed using policies.
or
  the service(s) to be managed using a policy.

Section 3.1:

1st paragraph:
  information (e.g., part of a sentence that was cut out).) The meaning of "sentence" in this context is not clear to me.
[Will] sentence here is used to explain the concept of snippet as authors received many comments that the term "snippet" is not clear. A sentence refers to a complete expression while snippet is part of it.

2nd paragraph:
   operator interacts with the interface, which is then translated to
   configuration snippets.
I don't understand. The interface is translated to configuration data?
[Will] Fixed. "Which" here refers to the policies input by operators. We actually did a demo in Buenos Aires to show the policy input website for operators. 

3rd paragraph:
   Note that YANG models may not exist.
In which context?
[Will]Fixed.  "that YANG models" refer to Resource and Service YANG data models. 

7th paragraph (1st paragraph on page 6):
   types of policies: ECA policy rules and declarative policy
   statements.
The distinction between ECA policies and declarative policies is not explained. Furthermore, you could mention already here, that declarative policies are out-of-scope for this ID.
[Will] Fixed. There is the explanation in section Operation: "Declarative policies that specify the goals to be achieved but not how to achieve those goals (also called "intent-based" policies) are out of scope for the initial phase of SUPA." We now move this sentence to the terminology section.

9th paragraph:
   During the run time, components communicate with the data instances
   for management and monitoring.
I don't understand what you mean by "data instance" and how it could communicate?
[Will] Fixed by removing the section as this paragraph is missing leading and not necessary explanation for the figure below.

Figure 2:
Some spaces are missing: ECAPolicyRule and PolicyRule

Figure 2: OSS/BSS Orchestrator is shown but not listed in the explanation above.

Explanation of Figure 2:

  ECA Policy Rule Information Data Model (EPRIM):
should be
  ECA Policy Rule Information Model (EPRIM):

   Network Service and Resource Data Models: models of the service as These are not shown in Figure 2.
[Will] Fixed. This is for explaining Figure 1. We now change it to " Resource and Service YANG Data Models" and move this paragraph after figure 1.

Below Figure 3:

   Policies are used to control the management of resources and
   services, while data from resources and services are used to select
   and/or modify policies during runtime.
The latter type of interaction should be mentioned in the explanation of the communication (1). Thus
      (1) policy manages and can adjust service behavior as necessary
      (1:1..n)
should be
      (1) policy manages and can adjust service behavior as necessary
      (1:1..n). In addition, data from resources and services are used to select
   and/or modify policies during runtime.

Section 3.3, 1st paragraph:
  ERPIM --> EPRIM
[Will] Fixed above ones.

Regards, / 致礼! 
Will LIU  / 刘树成